Index: squid/src/ipcache.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ipcache.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/ipcache.c	6 Jan 2001 12:40:14 -0000	1.1.1.3.4.1.2.1
+++ squid/src/ipcache.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ipcache.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:14 hno Exp $
+ * $Id: ipcache.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
@@ -35,7 +34,8 @@
 
 #include "squid.h"
 
-static struct {
+static struct
+{
     int requests;
     int replies;
     int hits;
@@ -45,7 +45,8 @@
     int errors;
     int ghbn_calls;		/* # calls to blocking gethostbyname() */
     int release_locked;
-} IpcacheStats;
+}
+IpcacheStats;
 
 static dlink_list lru_list;
 
@@ -58,7 +59,8 @@
 static IPH dummy_handler;
 static int ipcacheExpiredEntry(ipcache_entry *);
 static int ipcache_testname(void);
-static ipcache_entry *ipcacheAddNew(const char *, const struct hostent *, ipcache_status_t);
+static ipcache_entry *ipcacheAddNew(const char *, const struct hostent *,
+    ipcache_status_t);
 #if USE_DNSSERVERS
 static ipcache_entry *ipcacheParse(const char *buf);
 #else
@@ -78,8 +80,7 @@
 static ipcache_addrs static_addrs;
 static hash_table *ip_table = NULL;
 
-static char ipcache_status_char[] =
-{
+static char ipcache_status_char[] = {
     'C',
     'N',
     'P',
@@ -114,7 +115,8 @@
 {
     hash_link *table_entry = NULL;
     if ((table_entry = hash_lookup(ip_table, i->name)) == NULL) {
-	snprintf(tmp_error_buf, ERROR_BUF_SZ, "ipcache_release: key '%s' not found\n", i->name);
+	snprintf(tmp_error_buf, ERROR_BUF_SZ,
+	    "ipcache_release: key '%s' not found\n", i->name);
 	fatal_dump(tmp_error_buf);
     }
     assert(i == (ipcache_entry *) table_entry);
@@ -215,19 +217,18 @@
     i->addrs.badcount = 0;
     for (k = 0; k < addr_count; k++)
 	xmemcpy(&i->addrs.in_addrs[k].s_addr,
-	    *(hp->h_addr_list + k),
-	    hp->h_length);
+	    *(hp->h_addr_list + k), hp->h_length);
 }
 
 static ipcache_entry *
-ipcacheAddNew(const char *name, const struct hostent *hp, ipcache_status_t status)
+ipcacheAddNew(const char *name, const struct hostent *hp,
+    ipcache_status_t status)
 {
     ipcache_entry *i;
     if (ipcache_get(name))
 	fatal_dump("ipcacheAddNew: somebody adding a duplicate!");
     debug(14, 10) ("ipcacheAddNew: Adding '%s', status=%c\n",
-	name,
-	ipcache_status_char[status]);
+	name, ipcache_status_char[status]);
     i = ipcache_create(name);
     if (hp)
 	ipcacheAddHostent(i, hp);
@@ -382,8 +383,7 @@
 	assert(answers[k].rdlength == 4);
 	xmemcpy(&i.addrs.in_addrs[j++], answers[k].rdata, 4);
 	debug(14, 3) ("ipcacheParse: #%d %s\n",
-	    j - 1,
-	    inet_ntoa(i.addrs.in_addrs[j - 1]));
+	    j - 1, inet_ntoa(i.addrs.in_addrs[j - 1]));
     }
     assert(j == na);
     return &i;
@@ -406,7 +406,8 @@
     cbdataFree(c);
     c = NULL;
     n = ++IpcacheStats.replies;
-    statHistCount(&Counter.dns.svc_time, tvSubMsec(i->request_time, current_time));
+    statHistCount(&Counter.dns.svc_time, tvSubMsec(i->request_time,
+	    current_time));
 #if USE_DNSSERVERS
     x = ipcacheParse(reply);
 #else
@@ -480,7 +481,12 @@
 	IpcacheStats.pending_hits++;
 	ipcacheAddPending(i, handler, handlerData);
 	if (squid_curtime - i->expires > 600) {
-	    debug(14, 0) ("ipcache_nbgethostbyname: '%s' PENDING for %d seconds, aborting\n", name, (int) (squid_curtime + Config.negativeDnsTtl - i->expires));
+	    debug(14, 0)
+
+		
+		("ipcache_nbgethostbyname: '%s' PENDING for %d seconds, aborting\n",
+		name,
+		(int) (squid_curtime + Config.negativeDnsTtl - i->expires));
 	    ipcacheChangeKey(i);
 	    ipcache_call_pending(i);
 	}
@@ -527,8 +533,7 @@
     n = hashPrime(ipcache_high / 4);
     ip_table = hash_create((HASHCMP *) strcmp, n, hash4);
     cachemgrRegister("ipcache",
-	"IP Cache Stats and Contents",
-	stat_ipcache_get, 0, 1);
+	"IP Cache Stats and Contents", stat_ipcache_get, 0, 1);
 }
 
 int
@@ -599,8 +604,7 @@
 	i->locks ? 'L' : ' ',
 	(int) (squid_curtime - i->lastref),
 	(int) (i->expires - squid_curtime),
-	(int) i->addrs.count,
-	(int) i->addrs.badcount);
+	(int) i->addrs.count, (int) i->addrs.badcount);
     for (k = 0; k < (int) i->addrs.count; k++) {
 	storeAppendPrintf(sentry, " %15s-%3s", inet_ntoa(i->addrs.in_addrs[k]),
 	    i->addrs.bad_mask[k] ? "BAD" : "OK ");
@@ -617,16 +621,13 @@
     storeAppendPrintf(sentry, "IP Cache Statistics:\n");
     storeAppendPrintf(sentry, "IPcache Entries: %d\n",
 	memInUse(MEM_IPCACHE_ENTRY));
-    storeAppendPrintf(sentry, "IPcache Requests: %d\n",
-	IpcacheStats.requests);
-    storeAppendPrintf(sentry, "IPcache Hits: %d\n",
-	IpcacheStats.hits);
+    storeAppendPrintf(sentry, "IPcache Requests: %d\n", IpcacheStats.requests);
+    storeAppendPrintf(sentry, "IPcache Hits: %d\n", IpcacheStats.hits);
     storeAppendPrintf(sentry, "IPcache Pending Hits: %d\n",
 	IpcacheStats.pending_hits);
     storeAppendPrintf(sentry, "IPcache Negative Hits: %d\n",
 	IpcacheStats.negative_hits);
-    storeAppendPrintf(sentry, "IPcache Misses: %d\n",
-	IpcacheStats.misses);
+    storeAppendPrintf(sentry, "IPcache Misses: %d\n", IpcacheStats.misses);
     storeAppendPrintf(sentry, "Blocking calls to gethostbyname(): %d\n",
 	IpcacheStats.ghbn_calls);
     storeAppendPrintf(sentry, "Attempts to release locked entries: %d\n",
@@ -634,11 +635,7 @@
     storeAppendPrintf(sentry, "\n\n");
     storeAppendPrintf(sentry, "IP Cache Contents:\n\n");
     storeAppendPrintf(sentry, " %-29.29s %5s %6s %6s %1s\n",
-	"Hostname",
-	"Flags",
-	"lstref",
-	"TTL",
-	"N");
+	"Hostname", "Flags", "lstref", "TTL", "N");
     for (m = lru_list.head; m; m = m->next)
 	ipcacheStatPrint(m->data, sentry);
 }
@@ -734,7 +731,8 @@
     }
     if (k == ia->count) {
 	/* All bad, reset to All good */
-	debug(14, 3) ("ipcacheCycleAddr: Changing ALL %s addrs from BAD to OK\n",
+	debug(14,
+	    3) ("ipcacheCycleAddr: Changing ALL %s addrs from BAD to OK\n",
 	    name);
 	for (k = 0; k < ia->count; k++)
 	    ia->bad_mask[k] = 0;
@@ -856,49 +854,42 @@
 snmp_netIpFn(variable_list * Var, snint * ErrP)
 {
     variable_list *Answer = NULL;
-    debug(49, 5) ("snmp_netIpFn: Processing request:\n", Var->name[LEN_SQ_NET + 1]);
+    debug(49, 5) ("snmp_netIpFn: Processing request:\n",
+	Var->name[LEN_SQ_NET + 1]);
     snmpDebugOid(5, Var->name, Var->name_length);
     *ErrP = SNMP_ERR_NOERROR;
     switch (Var->name[LEN_SQ_NET + 1]) {
     case IP_ENT:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    memInUse(MEM_IPCACHE_ENTRY),
-	    SMI_GAUGE32);
+	    memInUse(MEM_IPCACHE_ENTRY), SMI_GAUGE32);
 	break;
     case IP_REQ:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.requests,
-	    SMI_COUNTER32);
+	    IpcacheStats.requests, SMI_COUNTER32);
 	break;
     case IP_HITS:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.hits,
-	    SMI_COUNTER32);
+	    IpcacheStats.hits, SMI_COUNTER32);
 	break;
     case IP_PENDHIT:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.pending_hits,
-	    SMI_GAUGE32);
+	    IpcacheStats.pending_hits, SMI_GAUGE32);
 	break;
     case IP_NEGHIT:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.negative_hits,
-	    SMI_COUNTER32);
+	    IpcacheStats.negative_hits, SMI_COUNTER32);
 	break;
     case IP_MISS:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.misses,
-	    SMI_COUNTER32);
+	    IpcacheStats.misses, SMI_COUNTER32);
 	break;
     case IP_GHBN:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.ghbn_calls,
-	    SMI_COUNTER32);
+	    IpcacheStats.ghbn_calls, SMI_COUNTER32);
 	break;
     case IP_LOC:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IpcacheStats.release_locked,
-	    SMI_COUNTER32);
+	    IpcacheStats.release_locked, SMI_COUNTER32);
 	break;
     default:
 	*ErrP = SNMP_ERR_NOSUCHNAME;
Index: squid/src/leakfinder.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/leakfinder.c,v
retrieving revision 1.1.1.1.4.1.2.2
retrieving revision 1.1.1.1.4.1.2.2.2.1
diff -u -r1.1.1.1.4.1.2.2 -r1.1.1.1.4.1.2.2.2.1
--- squid/src/leakfinder.c	14 Jun 2001 21:34:24 -0000	1.1.1.1.4.1.2.2
+++ squid/src/leakfinder.c	27 Aug 2001 21:48:21 -0000	1.1.1.1.4.1.2.2.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: leakfinder.c,v 1.1.1.1.4.1.2.2 2001/06/14 21:34:24 serassio Exp $
+ * $Id: leakfinder.c,v 1.1.1.1.4.1.2.2.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 45    Callback Data Registry
  * AUTHOR: Duane Wessels
@@ -43,13 +43,15 @@
 
 static int leakCount = 0;
 
-typedef struct _ptr {
+typedef struct _ptr
+{
     void *key;
     struct _ptr *next;
     const char *file;
     int line;
     time_t when;
-} ptr;
+}
+ptr;
 
 static HASHCMP ptr_cmp;
 static HASHHASH ptr_hash;
@@ -62,9 +64,7 @@
 {
     debug(45, 3) ("ptrInit\n");
     htable = hash_create(ptr_cmp, 1 << 8, ptr_hash);
-    cachemgrRegister("leaks",
-	"Memory Leak Tracking",
-	ptrDump, 0, 1);
+    cachemgrRegister("leaks", "Memory Leak Tracking", ptrDump, 0, 1);
 }
 
 void *
@@ -100,11 +100,6 @@
 void *
 leakFree(void *p)
 {
-#ifdef _SQUID_MSWIN_
-#if USE_LEAKFINDER
-    return p;
-#endif
-#endif
     ptr *c = (ptr *) hash_lookup(htable, p);
     assert(p);
     assert(c != NULL);
Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.1.1.3.4.2.2.9
retrieving revision 1.1.1.3.4.2.2.9.2.1
diff -u -r1.1.1.3.4.2.2.9 -r1.1.1.3.4.2.2.9.2.1
--- squid/src/main.c	29 Jul 2001 16:06:05 -0000	1.1.1.3.4.2.2.9
+++ squid/src/main.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.2.2.9.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: main.c,v 1.1.1.3.4.2.2.9 2001/07/29 16:06:05 serassio Exp $
+ * $Id: main.c,v 1.1.1.3.4.2.2.9.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -38,12 +37,12 @@
 #if defined(USE_WIN32_SERVICE) && (defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_))
 #include <windows.h>
 #include <process.h>
-#ifdef _SQUID_MSWIN_
-#include <direct.h>
-#endif
 static int opt_install_service = FALSE;
 static int opt_remove_service = FALSE;
-static int opt_signal_service = FALSE;
+#ifndef _SQUID_MSWIN_
+static
+#endif
+int opt_signal_service = FALSE;
 extern void WIN32_svcstatusupdate(DWORD);
 void WINAPI WIN32_svcHandler(DWORD);
 #endif
@@ -104,8 +103,7 @@
 	"       -a port   Specify HTTP port number (default: %d).\n"
 	"       -d level  Write debugging to stderr also.\n"
 	"       -f file   Use given config-file instead of\n"
-	"                 %s\n"
-	"       -h        Print help message.\n"
+	"                 %s\n" "       -h        Print help message.\n"
 #if defined(USE_WIN32_SERVICE) && (defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_))
 	"       -i        Installs as a Windows Service (see -n option).\n"
 #endif
@@ -221,7 +219,7 @@
 	    else if (!strncmp(optarg, "check", strlen(optarg)))
 		opt_send_signal = 0;	/* SIGNULL */
 	    else if (!strncmp(optarg, "parse", strlen(optarg)))
-		opt_parse_cfg_only = 1;		/* parse cfg file only */
+		opt_parse_cfg_only = 1;	/* parse cfg file only */
 	    else
 		usage();
 	    break;
@@ -232,14 +230,16 @@
 		/* NOTREACHED */
 		break;
 #else
-		fatal("Need to add -DMALLOC_DBG when compiling to use -mX option");
+		fatal
+		    ("Need to add -DMALLOC_DBG when compiling to use -mX option");
 		/* NOTREACHED */
 #endif
 	    } else {
 #if XMALLOC_TRACE
 		xmalloc_trace = !xmalloc_trace;
 #else
-		fatal("Need to configure --enable-xmalloc-debug-trace to use -m option");
+		fatal
+		    ("Need to configure --enable-xmalloc-debug-trace to use -m option");
 #endif
 	    }
 #if defined(USE_WIN32_SERVICE) && (defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_))
@@ -283,11 +283,9 @@
 rotate_logs(int sig)
 {
     do_rotate = 1;
-#ifndef _SQUID_MSWIN_
 #if !HAVE_SIGACTION
     signal(sig, rotate_logs);
 #endif
-#endif
 }
 
 #if ALARM_UPDATES_TIME
@@ -308,18 +306,15 @@
 reconfigure(int sig)
 {
     do_reconfigure = 1;
-#ifndef _SQUID_MSWIN_
 #if !HAVE_SIGACTION
     signal(sig, reconfigure);
 #endif
-#endif
 }
 
 void
 shut_down(int sig)
 {
     do_shutdown = sig == SIGINT ? -1 : 1;
-#ifndef _SQUID_MSWIN_
 #ifdef KILL_PARENT_OPT
     if (getppid() > 1) {
 	debug(1, 1) ("Killing RunCache, pid %d\n", getppid());
@@ -330,7 +325,6 @@
     signal(SIGTERM, SIG_DFL);
     signal(SIGINT, SIG_DFL);
 #endif
-#endif
 }
 
 static void
@@ -467,7 +461,7 @@
 setEffectiveUser(void)
 {
     leave_suid();		/* Run as non privilegied user */
-#if defined(_SQUID_OS2_) || defined(_SQUID_MSWIN_)
+#if defined(_SQUID_OS2_)
     return;
 #else
     if (geteuid() == 0) {
@@ -535,13 +529,13 @@
     log_trace_init("/tmp/squid.alloc");
 #endif
     debug(1, 0) ("Starting Squid Cache version %s for %s...\n",
-	version_string,
-	CONFIG_HOST_TYPE);
+	version_string, CONFIG_HOST_TYPE);
 #if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     if (WIN32_run_mode == _WIN_SQUID_RUN_MODE_SERVICE)
-	debug(1, 0) ("Running as %s Windows System Service on %s\n", WIN32_Service_name, WIN32_OS_string);
+	debug(1, 0) ("Running as %s Windows System Service on %s\n",
+	    WIN32_Service_name, WIN32_OS_string);
     else
-	debug(1, 0) ("Running on %s\n",WIN32_OS_string);
+	debug(1, 0) ("Running on %s\n", WIN32_OS_string);
 #endif
     debug(1, 1) ("Process ID %d\n", (int) getpid());
     debug(1, 1) ("With %d file descriptors available\n", Squid_MaxFD);
@@ -637,7 +631,8 @@
 
 #if defined(USE_WIN32_SERVICE) && (defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_))
 /* When USE_WIN32_SERVICE is defined, the main function is placed in win32.c */
-void WINAPI SquidMain(DWORD argc, char **argv)
+void WINAPI
+SquidMain(DWORD argc, char **argv)
 #else
 int
 main(int argc, char **argv)
@@ -658,7 +653,7 @@
 	return;
 #else
     {
-	int WIN32_init_err;	
+	int WIN32_init_err;
 	if ((WIN32_init_err = WIN32_Subsystem_Init()))
 	    return WIN32_init_err;
     }
@@ -812,8 +807,8 @@
 	    do_reconfigure = 0;
 #if defined(_SQUID_MSWIN_) && defined(_DEBUG)
 	} else if (do_debug) {
-	do_debug = 0;
-	DebugBreak();
+	    do_debug = 0;
+	    __asm int 3;
 #endif
 	} else if (do_rotate) {
 	    mainRotate();
@@ -822,7 +817,8 @@
 	    time_t wait = do_shutdown > 0 ? (int) Config.shutdownLifetime : 0;
 	    debug(1, 1) ("Preparing for shutdown after %d requests\n",
 		Counter.client_http.requests);
-	    debug(1, 1) ("Waiting %d seconds for active connections to finish\n",
+	    debug(1,
+		1) ("Waiting %d seconds for active connections to finish\n",
 		wait);
 	    do_shutdown = 0;
 	    shutting_down = 1;
@@ -836,7 +832,8 @@
 #endif
 	    redirectShutdown();
 	    authenticateShutdown();
-	    eventAdd("SquidShutdown", SquidShutdown, NULL, (double) (wait + 1), 1);
+	    eventAdd("SquidShutdown", SquidShutdown, NULL, (double) (wait + 1),
+		1);
 	}
 	eventRun();
 	if ((loop_delay = eventNextTime()) < 0)
@@ -885,14 +882,14 @@
 	    WIN32_sendSignal(opt_send_signal);
 	else {
 #endif
-	if (kill(pid, opt_send_signal) &&
-	/* ignore permissions if just running check */
-	    !(opt_send_signal == 0 && errno == EPERM)) {
-	    fprintf(stderr, "%s: ERROR: Could not send ", appname);
-	    fprintf(stderr, "signal %d to process %d: %s\n",
-		opt_send_signal, (int) pid, xstrerror());
-	    exit(1);
-	}
+	    if (kill(pid, opt_send_signal) &&
+		/* ignore permissions if just running check */
+		!(opt_send_signal == 0 && errno == EPERM)) {
+		fprintf(stderr, "%s: ERROR: Could not send ", appname);
+		fprintf(stderr, "signal %d to process %d: %s\n",
+		    opt_send_signal, (int) pid, xstrerror());
+		exit(1);
+	    }
 #if defined(USE_WIN32_SERVICE) && (defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_))
 	}
 #endif
Index: squid/src/mem.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/mem.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/mem.c	6 Jan 2001 12:40:14 -0000	1.1.1.3.4.1.2.1
+++ squid/src/mem.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: mem.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:14 hno Exp $
+ * $Id: mem.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 13    High Level Memory Pool Management
  * AUTHOR: Harvest Derived
@@ -41,24 +40,28 @@
 
 /* string pools */
 #define mem_str_pool_count 3
-static const struct {
+static const struct
+{
     const char *name;
     size_t obj_size;
-} StrPoolsAttrs[mem_str_pool_count] = {
+}
+StrPoolsAttrs[mem_str_pool_count] =
+{
 
     {
-	"Short Strings", 36,
-    },				/* to fit rfc1123 and similar */
+    "Short Strings", 36,}
+    ,				/* to fit rfc1123 and similar */
     {
-	"Medium Strings", 128,
-    },				/* to fit most urls */
+    "Medium Strings", 128,}
+    ,				/* to fit most urls */
     {
-	"Long Strings", 512
-    }				/* other */
+    "Long Strings", 512}	/* other */
 };
-static struct {
+static struct
+{
     MemPool *pool;
-} StrPools[mem_str_pool_count];
+}
+StrPools[mem_str_pool_count];
 static MemMeter StrCountMeter;
 static MemMeter StrVolumeMeter;
 
@@ -74,8 +77,7 @@
     size_t pooled_volume = 0;
     /* heading */
     storeAppendPrintf(sentry,
-	"String Pool\t Impact\t\t\n"
-	" \t (%%strings)\t (%%volume)\n");
+	"String Pool\t Impact\t\t\n" " \t (%%strings)\t (%%volume)\n");
     /* table body */
     for (i = 0; i < mem_str_pool_count; i++) {
 	const MemPool *pool = StrPools[i].pool;
@@ -91,7 +93,8 @@
     storeAppendPrintf(sentry, pfmt,
 	"Other Strings",
 	xpercentInt(StrCountMeter.level - pooled_count, StrCountMeter.level),
-	xpercentInt(StrVolumeMeter.level - pooled_volume, StrVolumeMeter.level));
+	xpercentInt(StrVolumeMeter.level - pooled_volume,
+	    StrVolumeMeter.level));
 }
 
 static void
@@ -216,7 +219,8 @@
 	sizeof(CommWriteStateData), 0);
     memDataInit(MEM_CONNSTATEDATA, "ConnStateData", sizeof(ConnStateData), 0);
 #if USE_CACHE_DIGESTS
-    memDataInit(MEM_DIGEST_FETCH_STATE, "DigestFetchState", sizeof(DigestFetchState), 0);
+    memDataInit(MEM_DIGEST_FETCH_STATE, "DigestFetchState",
+	sizeof(DigestFetchState), 0);
 #endif
     memDataInit(MEM_DISK_BUF, "Disk I/O Buffer", DISK_PAGE_SIZE, 200);
     memDataInit(MEM_DLINK_LIST, "dlink_list", sizeof(dlink_list), 10);
@@ -231,8 +235,7 @@
     memDataInit(MEM_FILEMAP, "fileMap", sizeof(fileMap), 0);
     memDataInit(MEM_FQDNCACHE_ENTRY, "fqdncache_entry",
 	sizeof(fqdncache_entry), 0);
-    memDataInit(MEM_FQDNCACHE_PENDING, "fqdn_pending",
-	sizeof(fqdn_pending), 0);
+    memDataInit(MEM_FQDNCACHE_PENDING, "fqdn_pending", sizeof(fqdn_pending), 0);
     memDataInit(MEM_FWD_STATE, "FwdState", sizeof(FwdState), 0);
     memDataInit(MEM_FWD_SERVER, "FwdServer", sizeof(FwdServer), 0);
     memDataInit(MEM_HASH_LINK, "hash_link", sizeof(hash_link), 0);
@@ -241,11 +244,14 @@
 	sizeof(HierarchyLogEntry), 0);
     memDataInit(MEM_HTTP_STATE_DATA, "HttpStateData", sizeof(HttpStateData), 0);
     memDataInit(MEM_HTTP_REPLY, "HttpReply", sizeof(HttpReply), 0);
-    memDataInit(MEM_HTTP_HDR_ENTRY, "HttpHeaderEntry", sizeof(HttpHeaderEntry), 0);
+    memDataInit(MEM_HTTP_HDR_ENTRY, "HttpHeaderEntry", sizeof(HttpHeaderEntry),
+	0);
     memDataInit(MEM_HTTP_HDR_CC, "HttpHdrCc", sizeof(HttpHdrCc), 0);
-    memDataInit(MEM_HTTP_HDR_RANGE_SPEC, "HttpHdrRangeSpec", sizeof(HttpHdrRangeSpec), 0);
+    memDataInit(MEM_HTTP_HDR_RANGE_SPEC, "HttpHdrRangeSpec",
+	sizeof(HttpHdrRangeSpec), 0);
     memDataInit(MEM_HTTP_HDR_RANGE, "HttpHdrRange", sizeof(HttpHdrRange), 0);
-    memDataInit(MEM_HTTP_HDR_CONTENT_RANGE, "HttpHdrContRange", sizeof(HttpHdrContRange), 0);
+    memDataInit(MEM_HTTP_HDR_CONTENT_RANGE, "HttpHdrContRange",
+	sizeof(HttpHdrContRange), 0);
     memDataInit(MEM_ICPUDPDATA, "icpUdpData", sizeof(icpUdpData), 0);
     memDataInit(MEM_ICP_COMMON_T, "icp_common_t", sizeof(icp_common_t), 0);
     memDataInit(MEM_ICP_PING_DATA, "ping_data", sizeof(ping_data), 0);
@@ -262,7 +268,8 @@
     memDataInit(MEM_PEER, "peer", sizeof(peer), 0);
 #if USE_CACHE_DIGESTS
     memDataInit(MEM_PEER_DIGEST, "PeerDigest", sizeof(PeerDigest), 0);
-    memDataInit(MEM_DIGEST_FETCH_STATE, "DigestFetchState", sizeof(DigestFetchState), 0);
+    memDataInit(MEM_DIGEST_FETCH_STATE, "DigestFetchState",
+	sizeof(DigestFetchState), 0);
 #endif
     memDataInit(MEM_PINGERECHODATA, "pingerEchoData",
 	sizeof(pingerEchoData), 0);
@@ -288,16 +295,14 @@
     memDataInit(MEM_HELPER, "helper", sizeof(helper), 0);
     memDataInit(MEM_HELPER_REQUEST, "helper_request",
 	sizeof(helper_request), 0);
-    memDataInit(MEM_HELPER_SERVER, "helper_server",
-	sizeof(helper_server), 0);
+    memDataInit(MEM_HELPER_SERVER, "helper_server", sizeof(helper_server), 0);
     memDataInit(MEM_STORE_IO, "storeIOState", sizeof(storeIOState), 0);
     /* init string pools */
     for (i = 0; i < mem_str_pool_count; i++) {
-	StrPools[i].pool = memPoolCreate(StrPoolsAttrs[i].name, StrPoolsAttrs[i].obj_size);
+	StrPools[i].pool =
+	    memPoolCreate(StrPoolsAttrs[i].name, StrPoolsAttrs[i].obj_size);
     }
-    cachemgrRegister("mem",
-	"Memory Utilization",
-	memStats, 0, 1);
+    cachemgrRegister("mem", "Memory Utilization", memStats, 0, 1);
 }
 
 /*
Index: squid/src/mime.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/mime.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.2.2.1
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.2.2.1
--- squid/src/mime.c	3 Jun 2001 19:41:48 -0000	1.1.1.3.4.1.2.2
+++ squid/src/mime.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.2.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: mime.c,v 1.1.1.3.4.1.2.2 2001/06/03 19:41:48 serassio Exp $
+ * $Id: mime.c,v 1.1.1.3.4.1.2.2.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 25    MIME Parsing
  * AUTHOR: Harvest Derived
@@ -37,7 +36,8 @@
 
 #define GET_HDR_SZ 1024
 
-typedef struct _mime_entry {
+typedef struct _mime_entry
+{
     char *pattern;
     regex_t compiled_pattern;
     char *icon;
@@ -46,7 +46,8 @@
     char transfer_mode;
     unsigned int view_option:1, download_option:1;
     struct _mime_entry *next;
-} mimeEntry;
+}
+mimeEntry;
 
 static mimeEntry *MimeTable = NULL;
 static mimeEntry **MimeTableTail = NULL;
@@ -114,8 +115,7 @@
     return NULL;
 }
 
-size_t
-headersEnd(const char *mime, size_t l)
+size_t headersEnd(const char *mime, size_t l)
 {
     size_t e = 0;
     int state = 0;
@@ -292,9 +292,6 @@
 	debug(50, 1) ("mimeInit: %s: %s\n", filename, xstrerror());
 	return;
     }
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    setmode(fileno(fp), O_TEXT);
-#endif
     if (MimeTableTail == NULL)
 	MimeTableTail = &MimeTable;
     while (fgets(buf, BUFSIZ, fp)) {
@@ -335,7 +332,8 @@
 	    else if (!strcmp(option, "+view"))
 		view_option = 1;
 	    else
-		debug(25, 1) ("mimeInit: unknown option: '%s' (%s)\n", buf, option);
+		debug(25, 1) ("mimeInit: unknown option: '%s' (%s)\n", buf,
+		    option);
 	}
 	if (regcomp(&re, pattern, re_flags) != 0) {
 	    debug(25, 1) ("mimeInit: regcomp error: '%s'\n", buf);
@@ -415,10 +413,7 @@
     }
     flags = null_request_flags;
     flags.cachable = 1;
-    e = storeCreateEntry(url,
-	url,
-	flags,
-	METHOD_GET);
+    e = storeCreateEntry(url, url, flags, METHOD_GET);
     assert(e != NULL);
     storeSetPublicKey(e);
     storeBuffer(e);
Index: squid/src/mk-string-arrays.pl
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/mk-string-arrays.pl,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/src/mk-string-arrays.pl	6 Jan 2001 12:40:14 -0000	1.1.1.1.44.1
+++ squid/src/mk-string-arrays.pl	27 Aug 2001 21:48:21 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 #******************************************************************************
-# $Id: mk-string-arrays.pl,v 1.1.1.1.44.1 2001/01/06 12:40:14 hno Exp $
+# $Id: mk-string-arrays.pl,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:21 tolsty Exp $
 #
 # File:		mk-strs.pl
 #
Index: squid/src/multicast.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/multicast.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/multicast.c	6 Jan 2001 12:40:14 -0000	1.1.1.1.4.1.2.1
+++ squid/src/multicast.c	27 Aug 2001 21:48:21 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: multicast.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:14 hno Exp $
+ * $Id: multicast.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 7     Multicast
  * AUTHOR: Martin Hamilton
